<?php
/**
 * @file - Page callbacks
 */

/**
 * node/1234/repeats page callback
 *
 * @TODO Fix the remove from seequence portion
 */
function date_repeat_sequence_page($node) {
  if (!$node->date_repeat_sequences) {
    return date_repeat_page($node);
  }
  foreach ($node->date_repeat_sequences as $seq) {
    $field = content_fields($seq['field']);
    $title = t('Repeats for !field', array('!field' => $field['widget']['label']));
    $content_db = content_database_info($field);
    $table = $content_db['table'];
    $column = array_shift($content_db['columns']);
    $sql = 'SELECT n.nid, c.' . $column['column'] . ' date FROM {date_repeat_sequence_node} dn
      JOIN {node} n ON n.nid = dn.nid
      JOIN {' . $table . '} c ON c.vid = n.vid
      WHERE dn.sqid = %d
      ORDER BY c.' . $column['column'] . ' ASC';
    $results = db_query($sql, $seq['sqid']);
    $headers = array(
      t('Date'),
      t('Edit !type', array('!type' => node_get_types('name', $node))),
      //t('Remove From Sequence'),
      t('Delete'),
    );
    while ($result = db_fetch_object($results)) {
      $row = array();
      $row[] = l(date_format_date($result->date), 'node/' . $result->nid);
      $row[] = l('Edit', 'node/' . $result->nid . '/edit');
      //$row[] = l('Remove', 'node/' . $result->nid . '/seq_remove');
      $row[] = l('Delete', 'node/' . $result->nid . '/delete');
      $rows[] = $row;
    }

    $out .= $title . theme('table',$headers, $rows);
  }
  return $out;
}